> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aicoflow.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Web Flows Messages



## OpenAPI

````yaml /api/openapi.json post /api/web/flows/{flowId}/messages
openapi: 3.1.0
info:
  title: AICO API
  description: API for managing AI-powered voice agents, flows, tools, telephony, and more.
  version: 1.0.0
servers: []
security:
  - bearer: []
tags:
  - name: API Keys
  - name: Admin
  - name: Assets
  - name: Audit
  - name: Billing
  - name: Brain
  - name: Calls
  - name: Channels
  - name: Datasets
  - name: Flows
  - name: Inference
  - name: Integrations
  - name: Knowledge
  - name: LLM
  - name: Monitoring
  - name: Notifications
  - name: Organizations
  - name: Plugins
  - name: Providers
  - name: Reporting
  - name: System
  - name: Telephony
  - name: Tools
  - name: Web
  - name: _hello
paths:
  /api/web/flows/{flowId}/messages:
    post:
      tags:
        - Web
      summary: Create Web Flows Messages
      operationId: create_web_flows_messages
      parameters:
        - schema:
            type: string
            format: uuid
          in: path
          name: flowId
          required: true
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - sessionId
                - message
              properties:
                sessionId:
                  type: string
                  minLength: 1
                  maxLength: 128
                message:
                  maxLength: 10000
                  type: string
                actionId:
                  type: string
                  maxLength: 128
                signedIdentity:
                  type: string
                  maxLength: 4096
                anonymousId:
                  type: string
                  maxLength: 128
                surface:
                  type: object
                  required:
                    - capabilities
                  properties:
                    capabilities:
                      maxItems: 8
                      type: array
                      items:
                        maxLength: 32
                        type: string
                attachments:
                  maxItems: 4
                  type: array
                  items:
                    type: object
                    required:
                      - url
                      - mimeType
                    properties:
                      url:
                        maxLength: 2048
                        type: string
                      mimeType:
                        type: string
                        maxLength: 128
                      caption:
                        maxLength: 500
                        type: string
                      filename:
                        maxLength: 255
                        type: string
                      bytes:
                        type: number
          multipart/form-data:
            schema:
              type: object
              required:
                - sessionId
                - message
              properties:
                sessionId:
                  type: string
                  minLength: 1
                  maxLength: 128
                message:
                  maxLength: 10000
                  type: string
                actionId:
                  type: string
                  maxLength: 128
                signedIdentity:
                  type: string
                  maxLength: 4096
                anonymousId:
                  type: string
                  maxLength: 128
                surface:
                  type: object
                  required:
                    - capabilities
                  properties:
                    capabilities:
                      maxItems: 8
                      type: array
                      items:
                        maxLength: 32
                        type: string
                attachments:
                  maxItems: 4
                  type: array
                  items:
                    type: object
                    required:
                      - url
                      - mimeType
                    properties:
                      url:
                        maxLength: 2048
                        type: string
                      mimeType:
                        type: string
                        maxLength: 128
                      caption:
                        maxLength: 500
                        type: string
                      filename:
                        maxLength: 255
                        type: string
                      bytes:
                        type: number
          text/plain:
            schema:
              type: object
              required:
                - sessionId
                - message
              properties:
                sessionId:
                  type: string
                  minLength: 1
                  maxLength: 128
                message:
                  maxLength: 10000
                  type: string
                actionId:
                  type: string
                  maxLength: 128
                signedIdentity:
                  type: string
                  maxLength: 4096
                anonymousId:
                  type: string
                  maxLength: 128
                surface:
                  type: object
                  required:
                    - capabilities
                  properties:
                    capabilities:
                      maxItems: 8
                      type: array
                      items:
                        maxLength: 32
                        type: string
                attachments:
                  maxItems: 4
                  type: array
                  items:
                    type: object
                    required:
                      - url
                      - mimeType
                    properties:
                      url:
                        maxLength: 2048
                        type: string
                      mimeType:
                        type: string
                        maxLength: 128
                      caption:
                        maxLength: 500
                        type: string
                      filename:
                        maxLength: 255
                        type: string
                      bytes:
                        type: number
      responses:
        '200':
          description: Successful response
components:
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Logto JWT access token

````